List terminals
GET
/
v1
/
machines
/
{machine_id}
/
terminals
List terminals
curl --request GET \
--url https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/terminals \
--header 'x-api-key: <api-key>'import requests
url = "https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/terminals"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/terminals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"height": 123,
"machine_id": "<string>",
"terminal_id": "<string>",
"width": 123,
"error_code": "<string>",
"error_message": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"protocol": "websocket",
"ready_at": "2023-11-07T05:31:56Z",
"retry_after_ms": 123,
"stream_url": "<string>"
}
],
"next_cursor": "<string>"
}
Authorizations
ApiKeyAuthBearerAuth
Dedalus API key. Alternative to Bearer token.
Headers
Path Parameters
Required string length:
4 - 253Pattern:
^dm-[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Last modified on July 13, 2026
Was this page helpful?
⌘I
List terminals
